CREATE TABLE cn_tp_credit_metrics_all (
    CREDIT_METRIC_ID             NUMBER(18, 0) ,
    PERIOD_ID                    NUMBER(18, 0) ,
    ORG_ID                       NUMBER(18, 0)     NOT NULL,
    METRIC_TYPE                  VARCHAR2(400) ,
    METRIC_BUCKET                VARCHAR2(400) ,
    NUMBER_OF_TRANSACTIONS       NUMBER        ,
    TRANSACTION_AMT_CALC_CURR    NUMBER        ,
    CREDIT_AMT_CALC_CURR         NUMBER        ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREDIT_METRIC_ID             NUMBER(18, 0) ,
    PERIOD_ID                    NUMBER(18, 0) ,
    ORG_ID                       NUMBER(18, 0)     NOT NULL,
    METRIC_TYPE                  VARCHAR2(400) ,
    METRIC_BUCKET                VARCHAR2(400) ,
    NUMBER_OF_TRANSACTIONS       NUMBER        ,
    TRANSACTION_AMT_CALC_CURR    NUMBER        ,
    CREDIT_AMT_CALC_CURR         NUMBER        ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONSTRAINT pk_cn_tp_credit_metrics_all PRIMARY KEY (CREDIT_METRIC_ID, CREDIT_METRIC_ID)
);
